Display Volatility Parameters
curl --request POST \
--url https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"provider_id": "provider_id",
"group_by": "swap_maturity",
"maturity_date": "2000-01-23T04:56:07.000+00:00",
"rate_asset_identifier": "rate_asset_identifier",
"vol_type": "normal",
"market_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters"
payload = {
"provider_id": "provider_id",
"group_by": "swap_maturity",
"maturity_date": "2000-01-23T04:56:07.000+00:00",
"rate_asset_identifier": "rate_asset_identifier",
"vol_type": "normal",
"market_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
provider_id: 'provider_id',
group_by: 'swap_maturity',
maturity_date: '2000-01-23T04:56:07.000+00:00',
rate_asset_identifier: 'rate_asset_identifier',
vol_type: 'normal',
market_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_id' => 'provider_id',
'group_by' => 'swap_maturity',
'maturity_date' => '2000-01-23T04:56:07.000+00:00',
'rate_asset_identifier' => 'rate_asset_identifier',
'vol_type' => 'normal',
'market_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters"
payload := strings.NewReader("{\n \"provider_id\": \"provider_id\",\n \"group_by\": \"swap_maturity\",\n \"maturity_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"rate_asset_identifier\": \"rate_asset_identifier\",\n \"vol_type\": \"normal\",\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"provider_id\": \"provider_id\",\n \"group_by\": \"swap_maturity\",\n \"maturity_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"rate_asset_identifier\": \"rate_asset_identifier\",\n \"vol_type\": \"normal\",\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"provider_id\": \"provider_id\",\n \"group_by\": \"swap_maturity\",\n \"maturity_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"rate_asset_identifier\": \"rate_asset_identifier\",\n \"vol_type\": \"normal\",\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"vol_cube_parameters": [
{
"option_maturity": "2000-01-23T04:56:07.000+00:00",
"atm_forward": 0.8008281904610115,
"alpha": 1.4658129805029452,
"nu": 2.3021358869347655,
"shift": 7.061401241503109,
"rho": 5.637376656633329,
"description": "description",
"beta": 5.962133916683182,
"swap_maturity": "2000-01-23T04:56:07.000+00:00",
"atmf_vol": 6.027456183070403
},
{
"option_maturity": "2000-01-23T04:56:07.000+00:00",
"atm_forward": 0.8008281904610115,
"alpha": 1.4658129805029452,
"nu": 2.3021358869347655,
"shift": 7.061401241503109,
"rho": 5.637376656633329,
"description": "description",
"beta": 5.962133916683182,
"swap_maturity": "2000-01-23T04:56:07.000+00:00",
"atmf_vol": 6.027456183070403
}
]
}Display Volatility Parameters
POST
/
api
/
RateAsset
/
GetVolatilityParameters
Display Volatility Parameters
curl --request POST \
--url https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"provider_id": "provider_id",
"group_by": "swap_maturity",
"maturity_date": "2000-01-23T04:56:07.000+00:00",
"rate_asset_identifier": "rate_asset_identifier",
"vol_type": "normal",
"market_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters"
payload = {
"provider_id": "provider_id",
"group_by": "swap_maturity",
"maturity_date": "2000-01-23T04:56:07.000+00:00",
"rate_asset_identifier": "rate_asset_identifier",
"vol_type": "normal",
"market_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
provider_id: 'provider_id',
group_by: 'swap_maturity',
maturity_date: '2000-01-23T04:56:07.000+00:00',
rate_asset_identifier: 'rate_asset_identifier',
vol_type: 'normal',
market_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_id' => 'provider_id',
'group_by' => 'swap_maturity',
'maturity_date' => '2000-01-23T04:56:07.000+00:00',
'rate_asset_identifier' => 'rate_asset_identifier',
'vol_type' => 'normal',
'market_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters"
payload := strings.NewReader("{\n \"provider_id\": \"provider_id\",\n \"group_by\": \"swap_maturity\",\n \"maturity_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"rate_asset_identifier\": \"rate_asset_identifier\",\n \"vol_type\": \"normal\",\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"provider_id\": \"provider_id\",\n \"group_by\": \"swap_maturity\",\n \"maturity_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"rate_asset_identifier\": \"rate_asset_identifier\",\n \"vol_type\": \"normal\",\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/RateAsset/GetVolatilityParameters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"provider_id\": \"provider_id\",\n \"group_by\": \"swap_maturity\",\n \"maturity_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"rate_asset_identifier\": \"rate_asset_identifier\",\n \"vol_type\": \"normal\",\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"vol_cube_parameters": [
{
"option_maturity": "2000-01-23T04:56:07.000+00:00",
"atm_forward": 0.8008281904610115,
"alpha": 1.4658129805029452,
"nu": 2.3021358869347655,
"shift": 7.061401241503109,
"rho": 5.637376656633329,
"description": "description",
"beta": 5.962133916683182,
"swap_maturity": "2000-01-23T04:56:07.000+00:00",
"atmf_vol": 6.027456183070403
},
{
"option_maturity": "2000-01-23T04:56:07.000+00:00",
"atm_forward": 0.8008281904610115,
"alpha": 1.4658129805029452,
"nu": 2.3021358869347655,
"shift": 7.061401241503109,
"rho": 5.637376656633329,
"description": "description",
"beta": 5.962133916683182,
"swap_maturity": "2000-01-23T04:56:07.000+00:00",
"atmf_vol": 6.027456183070403
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.MarketData.ApiGetVolatilityCubeParametersRequest, Derivitec.Web.Core Available options:
swap_maturity, swaption_maturity Available options:
normal, log_normal Was this page helpful?